[Pvfs2-cvs] commit by kunkel in pvfs2/maint/build: pvfs2-build.sh

CVS commit program cvs at parl.clemson.edu
Sat Dec 2 06:12:23 EST 2006


Update of /projects/cvsroot/pvfs2/maint/build
In directory parlweb1:/tmp/cvs-serv17506/maint/build

Modified Files:
      Tag: kunkel-hint-branch
	pvfs2-build.sh 
Log Message:
Upgrade to current CVS version


Index: pvfs2-build.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2/maint/build/pvfs2-build.sh,v
diff -p -u -r1.22 -r1.22.14.1
--- pvfs2-build.sh	19 Apr 2006 20:19:45 -0000	1.22
+++ pvfs2-build.sh	2 Dec 2006 11:12:22 -0000	1.22.14.1
@@ -116,30 +116,30 @@ get_cvs $cvs_tag || exit 1
 mkdir $builddir
 mkdir $installdir
 cd $builddir
-if [ $build_kernel == "true" ] ; then
-	$srcdir/configure $configureopts --with-kernel=$kerneldir --prefix=$installdir > $rootdir/configure.log 2>&1
+if [ $build_kernel = "true" ] ; then
+	$srcdir/configure $configureopts --with-kernel=$kerneldir --prefix=$installdir > $rootdir/configure-${cvs_tag}.log 2>&1
 	make_targets="all kmod"
 else
-	$srcdir/configure $configureopts --prefix=$installdir  > $rootdir/configure.log 2>&1
+	$srcdir/configure $configureopts --prefix=$installdir  > $rootdir/configure-${cvs_tag}.log 2>&1
 	make_targets="all"
 fi
 
 if [ $? != 0 ] ; then
-	echo "Configure failed; see $rootdir/configure.log.  Aborting."
+	echo "Configure failed; see $rootdir/configure-${cvs_tag}.log.  Aborting."
 	exit 1
 fi
 
 # make
-make $make_targets > $rootdir/make.log 2>&1
+make $make_targets > $rootdir/make-${cvs_tag}.log 2>&1
 
 if [ $? != 0 ] ; then
-	echo "Make failed; see $rootdir/make.log.  Aborting."
+	echo "Make failed; see $rootdir/make-${cvs_tag}.log.  Aborting."
 	exit 1
 fi
 
 # look through make output
 PEMM=`which pvfs2-extract-make-msgs.pl 2>/dev/null`
-if [ x$PEMM == "x" ] ; then
+if [ x$PEMM = "x" ] ; then
 	if [ ! -x $old_wd/pvfs2-extract-make-msgs.pl ] ; then
 		echo "Failed to find pvfs2-extract-make-msgs.pl.  Aborting."
 		exit 1
@@ -147,47 +147,47 @@ if [ x$PEMM == "x" ] ; then
 		PEMM=$old_wd/pvfs2-extract-make-msgs.pl 
 	fi
 fi
-$PEMM $rootdir/make.log > $rootdir/make-extracted.log 2>&1
+$PEMM $rootdir/make-${cvs_tag}.log > $rootdir/make-extracted-${cvs_tag}.log 2>&1
 
 if [ $? != 0 ] ; then
 	# warnings used to be fatal.  We still want no warnings, but we'll flag
 	# that we found some instead of bailing out altogether.
-	echo "Unexpected output during make; see $rootdir/make-extracted.log."
+	echo "Unexpected output during make; see $rootdir/make-extracted-${cvs_tag}.log."
 	touch $rootdir/pvfs-built-with-warnings
 fi
 
 # make install
-make install > $rootdir/make-install.log 2>&1
+make install > $rootdir/make-install-${cvs_tag}.log 2>&1
 
 if [ $? != 0 ] ; then
-	echo "Make install failed; see $rootdir/make-install.log.  Aborting."
+	echo "Make install failed; see $rootdir/make-install-${cvs_tag}.log.  Aborting."
 	exit 1
 fi
 
-if [ $build_kernel == "true" ] ; then
+if [ $build_kernel = "true" ] ; then
 	make kmod_prefix=${installdir} kmod_install
 fi
 
 # build tests if needed 
-if [ $build_tests == "true" ] ; then
+if [ $build_tests = "true" ] ; then
 	cd $builddir/test
-	$srcdir/test/configure $configureopts > $rootdir/configure-test.log 2>&1
+	$srcdir/test/configure $configureopts > $rootdir/configure-test-${cvs_tag}.log 2>&1
 	if [ $? != 0 ] ; then
-		echo "Configure of test programs failed; see $rootdir/configure-test.log.  Aborting."
+		echo "Configure of test programs failed; see $rootdir/configure-test-${cvs_tag}.log.  Aborting."
 		exit 1
 	fi
 
 	# make
-	make  all > $rootdir/make-test.log 2>&1
+	make  all > $rootdir/make-test-${cvs_tag}.log 2>&1
 
 	if [ $? != 0 ] ; then
-		echo "Make failed; see $rootdir/make-test.log.  Aborting."
+		echo "Make failed; see $rootdir/make-test-${cvs_tag}.log.  Aborting."
 		exit 1
 	fi
 
 	# look through make output
 	PEMM=`which pvfs2-extract-make-msgs.pl 2>/dev/null`
-	if [ x$PEMM == "x" ] ; then
+	if [ x$PEMM = "x" ] ; then
 		if [ ! -x $old_wd/pvfs2-extract-make-msgs.pl ] ; then
 			echo "Failed to find pvfs2-extract-make-msgs.pl.  Aborting."
 			exit 1
@@ -195,16 +195,16 @@ if [ $build_tests == "true" ] ; then
 			PEMM=$old_wd/pvfs2-extract-make-msgs.pl 
 		fi
 	fi
-	$PEMM $rootdir/make-test.log  > $rootdir/make-test-extracted.log 2>&1
+	$PEMM $rootdir/make-test-${cvs_tag}.log  > $rootdir/make-test-extracted-${cvs_tag}.log 2>&1
 	if [ $? != 0 ] ; then
 		# same as above.  Indicate that we found something, 
 		# but don't abort
-		echo "Unexpected output during test make; see $rootdir/make-test-extracted.log."
+		echo "Unexpected output during test make; see $rootdir/make-test-extracted-${cvs_tag}.log."
 		touch $rootdir/pvfs2-test-built-with-warnings
 	fi
-	make install > $rootdir/make-test-install.log 2>&1
+	make install > $rootdir/make-test-install-${cvs_tag}.log 2>&1
 	if [ $? != 0 ] ; then
-		echo "Make install (tests) failed; see $rootdir/make-test-install.log.  Aborting."
+		echo "Make install (tests) failed; see $rootdir/make-test-install-${cvs_tag}.log.  Aborting."
 		exit 1
 	fi
 fi



More information about the Pvfs2-cvs mailing list